Subject: Principia Alumni
From: [email-masked]
Date: Sat, 22 Jun 1996 09:50:14 -0400

Principia College (Elsah, Illinois) - Principia Upper School (St. Louis,
Missouri)

Bi, Gay, Lesbian Principia Upper School or College graduate? 

Planning to attend this year's alumni week August 5-11?  If so, there will be
an event on campus for you to attend, sponsored by the Gay and Lesbian
Principians' Group.  Alumni week is only held every two years so this is a
good chance to be out and proud. 
If you are planning to attend and would like for info, contact:  David at:
 [email-masked]

Look for our ad in the June 11th issue of the ADVOCATE!